package com.adealink.weparty.commonui

import androidx.core.graphics.toColorInt
import com.adealink.weparty.commonui.drawabletoolbox.GradientBorderBuilder
import com.adealink.weparty.commonui.drawabletoolbox.GradientBorderDrawable
import com.adealink.weparty.commonui.ext.dpf

const val MIN_YEAR = 1970
const val SINGLE_CHOICE = 0
const val MULTIPLE_CHOICE = 1
const val SINGLE_MUST_CHOICE = 2

const val DEFAULT_FONT_REGULAR = "poppins_regular"
const val DEFAULT_FONT_BOLD = "poppins_semibold"


fun commonSelectedDrawable(radii: Float = 12.dpf()): GradientBorderDrawable {
    return GradientBorderBuilder()
        .setRadii(
            floatArrayOf(
                12.dpf(),
                12.dpf(),
                12.dpf(),
                12.dpf(),
                12.dpf(),
                12.dpf(),
                12.dpf(),
                12.dpf()
            )
        )
        .setBorderWidth(3.dpf())
        .setBorderAngle(315)
        .setBorderColors(intArrayOf("#4ED2FF".toColorInt(), "#B1EF5D".toColorInt()))
        .build()
}